Page MenuHomePhabricator

Write Pywikibot script to create tables of thankers
Closed, ResolvedPublic

Description

Copied from T129049.

This link has tables showing top thankers for two wikis with number of thanks. Pywikibot must add a bot which can create similar tables (both for thankers and the thanked?) showing statistics for top x (where x can be taken as a parameter) users with corresponding number of thanks, for any wiki and for any month (also other time intervals like a week or a year?). Accounts/Users must have the option of opting out of this feature, as is the case with Faebot/thanks.

Event Timeline

Restricted Application added a subscriber: Mattflaschen-WMF. · View Herald TranscriptJul 7 2017, 12:11 AM
happy5214 moved this task from Backlog to Pywikibot on the Pywikibot-Thanks board.Jul 7 2017, 12:11 AM
Xqt triaged this task as Low priority.Jul 8 2017, 1:08 PM
zhuyifei1999 added a subscriber: zhuyifei1999.

Pywikibot must add a bot which can create similar tables

Can I ask why (specifically the must)? Not all misc. bot scripts are useful/important enough to be in the main pywikibot repo (see also my comment at T164095#3297093), and having it will add maintenance burden of the script to the general pywikibot dev instead of local bot operators. No objections to a gist of the script though.

Fae added a comment.Jul 17 2017, 10:38 AM

Faebot was creating these tables using SQL, the same query across several projects. It stopped working due to time-outs after some WMF changes. To fix it I would need to break up the query so it can work within the more limited query times available. I might get around to fixing it, but it's floating in my sub-watermargin pile.

It's not a priority, and as it was controversial when I created it, I would not recommend making reports much 'easier' than they currently are.

I based this task off point 5 of T129049, as part of GSoC 2017. I'm just doing what I was told to do. Ask @jayvdb why it was included.

While the wording in the GSOC concept that I wrote was "Pywikibot must add a bot " , I have been encouraging Pywikibot bots to be not part of the 'core' repository for the reason that @zhuyifei1999 explains, unless they fit within the core teams needs. However for a separate repo to be sufficient for GSOC , it must have their own test suite run by CI.

Accounts/Users must have the option of opting out of this feature

From what we have seen, there isnt any existing opt-outs occurring in the prior reports, so this requirement can also be dropped until there is a good justification for it to be supported.

jayvdb closed this task as Resolved.Aug 29 2017, 3:04 AM

I have a local clone.